Bug 294941 - (CVE-2007-3739) CVE-2007-3739 LTC36188-Don't allow the stack to grow into hugetlb reserved regions
CVE-2007-3739 LTC36188-Don't allow the stack to grow into hugetlb reserved re...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=redhat,reporte...
: Security
Depends On: 247658 253313 294951 294971 294981
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-18 11:44 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-07 07:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 09:33:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-09-18 11:44:35 EDT
From Adam Litke's mail to LKML (http://lkml.org/lkml/2007/1/29/180):

[PATCH] Don't allow the stack to grow into hugetlb reserved regions
    
    When expanding the stack, we don't currently check if the VMA will cross
    into an area of the address space that is reserved for hugetlb pages.
    Subsequent faults on the expanded portion of such a VMA will confuse the
    low-level MMU code, resulting in an OOPS.  Check for this.
Comment 1 Mark J. Cox (Product Security) 2007-09-18 11:46:02 EDT
see bz#253313 for more details
Comment 4 Jan Lieskovsky 2007-11-07 07:06:06 EST
This CVE also affects RHEL-3 (advisory has not been filled yet). On the 
ppc there is in mm/mmap.c file function called "expand_stack" which has
the same function as that one mentioned in the patch. This also checks first,
if there is enough memory to allocate, then checks if the stack wasn't 
expanded by some other thread and if not, checks the address space limits.
If none from these tests passes, the stack is expanded. But before this 
increase one yet check should be added -- if the address space we would
like to allocate doesn't belong to the huge_tlb_only space.

Note You need to log in before you can comment on or make changes to this bug.